import * as __WEBPACK_EXTERNAL_MODULE__ResultSuccess_mjs__ from "./ResultSuccess.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__ResultWarning_mjs__ from "./ResultWarning.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__ResultError_mjs__ from "./ResultError.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__ResultHttpError_mjs__ from "./ResultHttpError.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__ResultInfo_mjs__ from "./ResultInfo.mjs";
const Result = ({ status, ...props })=>{
    if ('number' == typeof status) return /*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__ResultHttpError_mjs__["default"], {
        status: status,
        ...props
    });
    switch(status){
        case 'success':
            return /*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__ResultSuccess_mjs__["default"], props);
        case 'warning':
            return /*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__ResultWarning_mjs__["default"], props);
        case 'error':
            return /*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__ResultError_mjs__["default"], {
                status: status,
                ...props
            });
        default:
            return /*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__ResultInfo_mjs__["default"], {
                status: status,
                ...props
            });
    }
};
/* ESM default export */ const Result_rslib_entry_ = Result;
export { Result_rslib_entry_ as default };
